unit UPanelMiniaturasD;

interface

uses SysUtils, Classes, DesignIntf, DesignEditors, typInfo, UPanelMiniaturas;


type

  {: Editor para las propiedades de tpo TPanelMiniaturasEditor}
  TPanelMiniaturasEditor = Class(TComponentEditor)
  public
    function GetVerb(Index: Integer): string; override;
    function GetVerbCount: Integer; override;
    procedure ExecuteVerb(Index: Integer); override;
    procedure Edit; override;
  End;

{: Procedimiento para registro de los componentes TPanelMiniaturas y TPanelImagen.}
procedure Register;

//=========================================================================
//
// I M P L E M E N T A T I O N
//
//=========================================================================
implementation

uses
  ColnEdit;



{: Procedimiento para registro de los componentes TPanelMiniaturas y TPanelImagen.}
procedure Register;
begin
  RegisterComponentEditor(TPanelMiniaturas, TPanelMiniaturasEditor);
  RegisterComponents('Samples', [TPanelMiniaturas]);
  //--RegisterComponents('Samples', [TPanelImagen]);
end;


{ TPanelMiniaturasEditor }
procedure TPanelMiniaturasEditor.Edit;
begin
  ExecuteVerb(0);
end;

procedure TPanelMiniaturasEditor.ExecuteVerb(Index: Integer);
begin
  case Index of
     0: begin
          ShowCollectionEditor(Designer, Component, TPanelMiniaturas(Component).Miniaturas, 'Miniaturas');
        end;
  end;
  Designer.Modified;
end;

function TPanelMiniaturasEditor.GetVerb(Index: Integer): string;
begin
  case Index of
     0: GetVerb:= 'Editor del Panel de Miniaturas';
  end;
end;

function TPanelMiniaturasEditor.GetVerbCount: Integer;
begin
  Result:= 1;
end;

end.
