unit FMain;
{=========================================================================
  Historia de las Versiones
------------------------------------------------------------------------

  XX/XX/XXXX
  * Creacin.
------------------------------------------------------------------------
   ...

=========================================================================

  Errores detectados no corregidos

=========================================================================}


interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls, Contnrs, ComCtrls, UPanelMiniaturas,
  Spin, ExtDlgs;

type
  TForm1 = class(TForm)
    pnlSuperior: TPanel;
    Panel2: TPanel;
    Panel3: TPanel;
    Image1: TImage;
    Panel4: TPanel;
    Shape1: TShape;
    Shape2: TShape;
    TrackBar1: TTrackBar;
    BitBtn2: TBitBtn;
    Panel1: TPanel;
    BitBtn1: TBitBtn;
    cbRotacion: TCheckBox;
    bbtPrimero: TBitBtn;
    bbtAnterior: TBitBtn;
    bbtSiguiente: TBitBtn;
    bbtUltimo: TBitBtn;
    Label1: TLabel;
    cbTipoSeleccion: TComboBox;
    Label2: TLabel;
    seSeparacion: TSpinEdit;
    Label3: TLabel;
    seAnchoMinuatura: TSpinEdit;
    cbAutoSlide: TCheckBox;
    Bevel1: TBevel;
    Bevel2: TBevel;
    Memo1: TMemo;
    StatusBar1: TStatusBar;
    Panel5: TPanel;
    Label4: TLabel;
    edtTextoImagen: TEdit;
    Button1: TButton;
    BitBtn3: TBitBtn;
    openDialog: TOpenPictureDialog;
    lblItemIndex: TLabel;
    Panel6: TPanel;
    lbElementos: TListBox;
    Label5: TLabel;
    Button2: TButton;
    seItemIndex: TSpinEdit;
    pnlMiniaturas: TPanelMiniaturas;
    Label6: TLabel;
    seInterval: TSpinEdit;
    Button3: TButton;
    lblArrastrar: TLabel;
    procedure BitBtn1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure cbRotacionClick(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure pnlMiniaturasResize(Sender: TObject);
    procedure pnlMiniaturasClickPanel(Sender: TObject;
      Source: TPanelImagen);
    procedure pnlMiniaturasClick(Sender: TObject);
    procedure bbtUltimoClick(Sender: TObject);
    procedure bbtSiguienteClick(Sender: TObject);
    procedure bbtAnteriorClick(Sender: TObject);
    procedure bbtPrimeroClick(Sender: TObject);
    procedure cbTipoSeleccionChange(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure seSeparacionChange(Sender: TObject);
    procedure seAnchoMinuaturaChange(Sender: TObject);
    procedure StatusBar1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure pnlMiniaturasChange(Sender: TObject; Source: TPanelImagen);
    procedure Button2Click(Sender: TObject);
    procedure seItemIndexChange(Sender: TObject);
    procedure lbElementosDragDrop(Sender, Source: TObject; X, Y: Integer);
    procedure lbElementosDragOver(Sender, Source: TObject; X, Y: Integer;
      State: TDragState; var Accept: Boolean);
    procedure lbElementosClick(Sender: TObject);
    procedure seIntervalChange(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure pnlMiniaturasAddedImage(AFileName: String);
  private
    imList:TStringList;
//    _LastIndex:Integer;

    procedure RefreshList();
    procedure _CreateImages(imList:TStringList);

  public
    { Public declarations }
  end;

var
  Form1: TForm1;

//: Devuelve una lista de ficheros
procedure FindFiles(StartDir, FileMask: string; recursively: boolean;
                    var FilesList: TStringList);

implementation

{$R *.dfm}

uses
  ShellAPI,
  FileCtrl, jpeg;

{: Devuelve una lista de nombres de fichero encontrados a partir de la carpeta
   inicial StartDir, que cumplen el patrn especificado por FileMask. Mediante
   recursively se indica si se desea hacer la busqueda en los subdirectorios.
  @param    StartDir    Carpeta desde la que empezar a buscar.
  @param    FileMask    Patrn que han de cumplir los ficheros.
  @param    recursively Si hay que continuar la bsuqueda en los subdirectorios.
  @param    FilesList   Lista con los nombres de fichero encontrados.)
}
procedure FindFiles(StartDir, FileMask: string; recursively: boolean; var FilesList: TStringList);
var
  SR: TSearchRec;
  DirList: TStringList;
  IsFound: Boolean;
  i: integer;
begin
  if (StartDir[length(StartDir)] <> '\') then begin
    StartDir := StartDir + '\';
  end;

  // Crear la lista de ficheos en el directorio StartDir (no directorios!)
  IsFound := FindFirst(StartDir + FileMask, faAnyFile - faDirectory, SR) = 0;
  // MIentras encuentre
  while IsFound do  begin
    FilesList.Add(StartDir + SR.Name);
    IsFound := FindNext(SR) = 0;
  end;

  FindClose(SR);

  // Recursivo?
  if (recursively) then begin
    // Build a list of subdirectories
    DirList := TStringList.Create;
    // proteccion
    try
      IsFound := FindFirst(StartDir + '*.*', faAnyFile, SR) = 0;
      while IsFound do
      begin
        if ((SR.Attr and faDirectory) <> 0) and
          (SR.Name[1] <> '.') then
          DirList.Add(StartDir + SR.Name);
        IsFound := FindNext(SR) = 0;
      end;
      FindClose(SR);

      // Scan the list of subdirectories
      for i := 0 to DirList.Count - 1 do
        FindFiles(DirList[i], FileMask, recursively, FilesList);
    finally
      DirList.Free;
    end;
  end;
end;




procedure TForm1.FormCreate(Sender: TObject);
begin
  imList := TStringList.Create();
end;

procedure TForm1._CreateImages(imList: TStringList);
var
  i:Integer;
  item:TMiniaturaItem;
begin

  // Para cada imagen
  for i := 0 to (imList.Count - 1) do begin
    pnlMiniaturas.AddImageFromFile(imList[i], ExtractFileName(imList[i]));
  end;

  // Cargar la primera
//  Image1.Picture.Assign(pnlMiniaturas.Miniaturas.Items[0].ImagenMiniatura);
//  _LastIndex := 1;

end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  FreeAndNil(imList);
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
var
  i:Integer;
  obj:TComponent;
begin
  pnlSuperior.Height := pnlMiniaturas.Constraints.MinHeight + (30 * TrackBar1.Position);
end;

procedure TForm1.BitBtn2Click(Sender: TObject);
begin
  Self.Close;
end;

procedure TForm1.cbRotacionClick(Sender: TObject);
begin
  pnlMiniaturas.Animated := cbRotacion.Checked;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin


//  Image1.Picture.Assign(pnlMiniaturas.Miniaturas.Items[_LastIndex].ImagenMiniatura);
//  _LastIndex := _LastIndex + 1;

end;

procedure TForm1.pnlMiniaturasResize(Sender: TObject);
begin
  pnlMiniaturas.MiniaturaWidth := pnlMiniaturas.Height;
end;

procedure TForm1.pnlMiniaturasClickPanel(Sender: TObject; Source: TPanelImagen);
begin

//  Image1.Picture.Assign(Source.Imagen);
//  _LastIndex := Source.Item.Index;

end;

procedure TForm1.pnlMiniaturasClick(Sender: TObject);
begin
  MessageDlg('Click estandard en el componente', mtInformation, [mbOK], 0);
end;

procedure TForm1.bbtUltimoClick(Sender: TObject);
begin
  if pnlMiniaturas.Count = 0 then
    raise Exception.Create('Es necesario que exista alguna imagen en el visor');

  pnlMiniaturas.Last;
//  Image1.Picture.Assign(pnlMiniaturas.Miniaturas.Items[pnlMiniaturas.ItemIndex].ImagenMiniatura);
////  _LastIndex := pnlMiniaturas.ItemIndex;
end;

procedure TForm1.bbtSiguienteClick(Sender: TObject);
begin
  if pnlMiniaturas.Count = 0 then
    raise Exception.Create('Es necesario que exista alguna imagen en el visor');

  pnlMiniaturas.Next;
//  Image1.Picture.Assign(pnlMiniaturas.Miniaturas.Items[pnlMiniaturas.ItemIndex].ImagenMiniatura);
//  _LastIndex := pnlMiniaturas.ItemIndex;
end;

procedure TForm1.bbtAnteriorClick(Sender: TObject);
begin
  if pnlMiniaturas.Count = 0 then
    raise Exception.Create('Es necesario que exista alguna imagen en el visor');

  pnlMiniaturas.Prior;
//  Image1.Picture.Assign(pnlMiniaturas.Miniaturas.Items[pnlMiniaturas.ItemIndex].ImagenMiniatura);
//  _LastIndex := pnlMiniaturas.ItemIndex;
end;

procedure TForm1.bbtPrimeroClick(Sender: TObject);
begin
  if pnlMiniaturas.Count = 0 then
    raise Exception.Create('Es necesario que exista alguna imagen en el visor');

  pnlMiniaturas.First;
//  Image1.Picture.Assign(pnlMiniaturas.Miniaturas.Items[pnlMiniaturas.ItemIndex].ImagenMiniatura);
//  _LastIndex := pnlMiniaturas.ItemIndex;
end;

procedure TForm1.cbTipoSeleccionChange(Sender: TObject);
begin
  pnlMiniaturas.SelectionType := TTipoSeleccion(cbTipoSeleccion.ItemIndex);
end;

procedure TForm1.FormShow(Sender: TObject);
begin

  // Cargar los valores del componente (diseo) en los controles
  cbTipoSeleccion.ItemIndex := Ord(pnlMiniaturas.SelectionType);
  seSeparacion.Value := pnlMiniaturas.Separador;
  seAnchoMinuatura.Value := pnlMiniaturas.MiniaturaWidth;
  cbAutoSlide.Checked := pnlMiniaturas.AutoSlide;
  cbRotacion.Checked := pnlMiniaturas.Animated;
  seInterval.Value := pnlMiniaturas.AnimateInterval;
end;

procedure TForm1.seSeparacionChange(Sender: TObject);
begin

  // Reasignamos el valor
  pnlMiniaturas.Separador := seSeparacion.Value;

end;

procedure TForm1.seAnchoMinuaturaChange(Sender: TObject);
begin
  pnlMiniaturas.MiniaturaWidth := seAnchoMinuatura.Value;
end;

procedure TForm1.StatusBar1Click(Sender: TObject);
begin
    ShellExecute(Handle,
             'open',
             'http://www.sjover.com/delphi/',
             nil,
             nil,
             SW_SHOW);

    ShellExecute(Handle,
             'open',
             'http://neftali.clubdelphi.com/',
             nil,
             nil,
             SW_SHOW);
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  Str:string;
  textoactual:string;
begin

  // No hay ninguna seleccionada?
  if (pnlMiniaturas.Count = 0) or (pnlMiniaturas.ItemIndex = -1) then begin
    MessageDlg('No hay ninguna imagen seleccionada.', mtWarning, [mbOK], 0);
    Exit;
  end;

  textoactual := pnlMiniaturas.Paneles[pnlMiniaturas.ItemIndex].Text;
  Str := InputBox('Texto asociado a una miniatura','Introduce el texto para esta imagen:',
                  textoactual);

  // Asociar texto                  
  pnlMiniaturas.Paneles[pnlMiniaturas.ItemIndex].Text := Str;
  edtTextoImagen.Text := pnlMiniaturas.Paneles[pnlMiniaturas.ItemIndex].Text;

  RefreshList();

end;

procedure TForm1.BitBtn3Click(Sender: TObject);
var
  b:Boolean;
  fName:string;
begin

  openDialog.InitialDir := ExtractFilePath(Application.ExeName) + 'img';
  // ejecutar el dilogo
  b := openDialog.Execute;

  if not(b) then begin
    Exit;
  end;

  fName := openDialog.FileName;
  pnlMiniaturas.AddImageFromFile(fName, 'Sin texto asociado...');

  RefreshList();

end;


procedure TForm1.BitBtn1Click(Sender: TObject);
var
  FDirectorio:string;
begin

  // Limpiar las listas
  imList.Clear;

  // Vacio?
  if (FDirectorio = '') then begin
    FDirectorio := ExtractFilePath(Application.ExeName) + 'img';
  end;

  // Si se selecciona un nuevo directorio ...
  if (SelectDirectory('Seleccionar directorio...', '', FDirectorio)) then begin
    // cargar las imgenes
    pnlMiniaturas.AddImagesFromFolder(FDirectorio);
  end;

//  // Asignar la primera
//  Image1.Picture.Assign(nil);
//  cbRotacion.Enabled := True;

  RefreshList();
end;

procedure TForm1.pnlMiniaturasChange(Sender: TObject; Source: TPanelImagen);
begin

  // Modificar el Label
  lblItemIndex.Caption := 'ItemIndex = ' + IntToStr(pnlMiniaturas.ItemIndex);
  seItemIndex.Value := pnlMiniaturas.ItemIndex;
  if Assigned(source) then begin
    OutputDebugString(PChar(Format('ItemIndex = %d      Item.Index=%d',
                  [pnlMiniaturas.ItemIndex, Source.Item.Index])));
  end;
  RefreshList();

  // si hay algo ocultamos el mensaje
  lblArrastrar.Visible := (pnlMiniaturas.Count = 0);


end;

procedure TForm1.RefreshList();
var
  i:Integer;
  str:string;
  sel:integer;
begin

  sel := lbElementos.ItemIndex;
  lbElementos.Clear;

  for i := 0 to (pnlMiniaturas.Count - 1) do begin
    Str := Format('(%d) - %s', [i, pnlMiniaturas.Paneles[i].Text]);
    if (pnlMiniaturas.ItemIndex = i) then begin
      Str := '[*] ' + Str;
    end
    else begin
      Str := '[ ] ' + Str;
    end;
    lbElementos.Items.Add(Str);
  end;

  seItemIndex.MinValue := 0;
  seItemIndex.MaxValue := (pnlMiniaturas.Count - 1);

  if (sel <> -1) then begin
    lbElementos.Selected[sel] := True;
  end;

end;

procedure TForm1.Button2Click(Sender: TObject);
begin

  if (pnlMiniaturas.ItemIndex = -1) then begin
    MessageDlg('No hay ningun elemento seleccionado. '+#13+#10+'Seleccione un elemento para poder eliminarlo.', mtWarning, [mbOK], 0);
    Exit;
  end;

  pnlMiniaturas.DeletePanel(pnlMiniaturas.ItemIndex);
  RefreshList();

end;

procedure TForm1.seItemIndexChange(Sender: TObject);
begin
  pnlMiniaturas.ItemIndex := seItemIndex.Value;
  // para que reasigne la imagen
  pnlMiniaturas.OnClickPanel(nil, pnlMiniaturas.Paneles[pnlMiniaturas.ItemIndex]);
  
end;

procedure TForm1.lbElementosDragDrop(Sender, Source: TObject; X,  Y: Integer);
var
  i:Integer;
begin
  // Dentro del mismo?
  if (Sender = Source) then begin

    i := (Y DIV lbElementos.ItemHeight);
    MessageDlg(Format('Mover el elemento <%d> a la posicion <%d> (no disponible todava)',
              [lbElementos.ItemIndex, i]), mtInformation, [mbOK], 0);

    // Mover el panel...
    pnlMiniaturas.MovePanel(pnlMiniaturas.Paneles[lbElementos.ItemIndex], i)
  end;
end;

procedure TForm1.lbElementosDragOver(Sender, Source: TObject; X,
  Y: Integer; State: TDragState; var Accept: Boolean);
begin
  // Arrastrando desde la lmisma lista
  Accept := (Source = lbElementos);
end;

procedure TForm1.lbElementosClick(Sender: TObject);
begin
  pnlMiniaturas.ItemIndex := lbElementos.ItemIndex;
end;

procedure TForm1.seIntervalChange(Sender: TObject);
begin
  pnlMiniaturas.AnimateInterval := seInterval.Value;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  if (pnlMiniaturas.Count = 0) then begin
    MessageDlg('No hay ningun elemento en la lista de miniaturas.', mtWarning, [mbOK], 0);
    Exit;
  end;

  pnlMiniaturas.ClearImages;
  RefreshList();
end;



procedure TForm1.pnlMiniaturasAddedImage(AFileName: String);
begin
  // si hay algo ocultamos el mensaje
  lblArrastrar.Visible := (pnlMiniaturas.Count = 0);
end;

end.


